function CstBoundary(fid,CXmin,CXmax,CYmin,CYmax,CZmin,CZmax,CXsymmetry,...
    CYsymmetry,CZsymmetry,CXminT,CXmaxT,CYminT,CYmaxT,CZminT,CZmaxT,...
    CApplyInAllDirections,CXminTE,CXmaxTE,CYminTE,CYmaxTE,CZminTE,CZmaxTE,...
    CXminTT,CXmaxTT,CYminTT,CYmaxTT,CZminTT,CZmaxTT)

global mws boundary;


%
% Funkce CstBoundary(fid, CXmin, CXmax, CYmin, CYmax, CZmin, CZmax,
% CXsymmetry, CYsymmetry, CZsymmetry, CXminT, CXmaxT, CYminT, CYmaxT, CZminT,
% CZmaxT, CApplyInAllDirections, CXminTE, CXmaxTE, CYminTE, CYmaxTE, CZminTE,
% CZmaxTE, CXminTT, CXmaxTT, CYminTT, CYmaxTT, CZminTT, CZmaxTT) slouží
% k nastavení okrajových podmínek namodelovaného objektu.

% Parametry funkce:

% fid – soubor identifikující historii CST skriptu.
% CXmin – | typ okrajové podmínky.
% CXmax – | může být např. „electric“,“magnetic“,“open“,
% CYmin – | a další implementované v programu CST.
% CYmax – |
% CZmin – |
% CZmax – |
% CXsymmetry – | definuje namodelovanou strukturu, zda je symetrická vůči některé z os X,Y
% CYsymmetry – | nebo Z, parametry jsou elektrická, magnetická a nebo žádná symetrie.
% CZsymmetry – |
% CXminT – | definuje teplotní typ okrajové podmínky.
% CXmaxT – |
% CYminT – |
% CYmaxT – |
% CZminT – |
% CZmaxT – |
% CApplyInAllDirections – jestli-že bude „true“ bude typ okrajové podmínky nastaven ve
% všech směrech, hodnota ostatních bude stejná jako CXmin.
% CXminTE – | specifikuje teplotní typ.
% CXmaxTE – |
% CyminTE - |
% CYmaxTE – |
% CZminTE – |
% CZmaxTE – |
% CXminTT – | specifikuje teplotní hodnotu okrajové podmínky.
% CXmaxTT – | hodnoty mohou být („none“, „fixed“ a „floating“.
% CYminTT – |
% CYmaxTT – |
% CZminTT – |
% CZmaxTT - |

% Příklad použití funkce:

% fid = fopen('pokus.m', 'wt');
% ...
% CstBoundary(fid,'expanded open','expanded open','expanded open','expanded
% open', 'open', 'expanded open', 'none', 'none', 'none', 'isothermal',
% 'isothermal', 'isothermal', 'isothermal', 'isothermal', 'isothermal',
% 'False', '', '', '', '', '', '', 'None', 'None', 'None', 'None', 'None',
% 'None');
%



% Definovani hranic
        fprintf(fid, '%% Definovani hranic\n');
        fprintf(fid, 'boundary  = mws.invoke(''Boundary'');\n'); 
        fprintf(fid, ['boundary.invoke(''Xmin'',''',CXmin,''');\n']);
        fprintf(fid, ['boundary.invoke(''Xmax'',''',CXmax,''');\n']);
        fprintf(fid, ['boundary.invoke(''Ymin'',''',CYmin,''');\n']);
        fprintf(fid, ['boundary.invoke(''Ymax'',''',CYmax,''');\n']);
        fprintf(fid, ['boundary.invoke(''Zmin'',''',CZmin,''');\n']);
        fprintf(fid, ['boundary.invoke(''Zmax'',''',CZmax,''');\n']);
        fprintf(fid, ['boundary.invoke(''Xsymmetry'',''',CXsymmetry,''');\n']);
        fprintf(fid, ['boundary.invoke(''Ysymmetry'',''',CYsymmetry,''');\n']);
        fprintf(fid, ['boundary.invoke(''Zsymmetry'',''',CZsymmetry,''');\n']);
        fprintf(fid, ['boundary.invoke(''XminThermal'',''',CXminT,''');\n']);
        fprintf(fid, ['boundary.invoke(''XmaxThermal'',''',CXmaxT,''');\n']);
        fprintf(fid, ['boundary.invoke(''YminThermal'',''',CYminT,''');\n']);
        fprintf(fid, ['boundary.invoke(''YmaxThermal'',''',CYmaxT,''');\n']);
        fprintf(fid, ['boundary.invoke(''ZminThermal'',''',CZminT,''');\n']);
        fprintf(fid, ['boundary.invoke(''ZmaxThermal'',''',CZmaxT,''');\n']);
        fprintf(fid, ['boundary.invoke(''ApplyInAllDirections'',''',CApplyInAllDirections,''');\n']);
        fprintf(fid, ['boundary.invoke(''XminTemperature'',''',CXminTE,''');\n']);
        fprintf(fid, ['boundary.invoke(''XminTemperatureType'',''',CXminTT,''');\n']);
        fprintf(fid, ['boundary.invoke(''XmaxTemperature'',''',CXmaxTE,''');\n']);
        fprintf(fid, ['boundary.invoke(''XmaxTemperatureType'',''',CXmaxTT,''');\n']);
        fprintf(fid, ['boundary.invoke(''YminTemperature'',''',CYminTE,''');\n']);
        fprintf(fid, ['boundary.invoke(''YminTemperatureType'',''',CYminTT,''');\n']);
        fprintf(fid, ['boundary.invoke(''YmaxTemperature'',''',CYmaxTE,''');\n']);
        fprintf(fid, ['boundary.invoke(''YmaxTemperatureType'',''',CYmaxTT,''');\n']);
        fprintf(fid, ['boundary.invoke(''ZminTemperature'',''',CZminTE,''');\n']);
        fprintf(fid, ['boundary.invoke(''ZminTemperatureType'',''',CZminTT,''');\n']);
        fprintf(fid, ['boundary.invoke(''ZmaxTemperature'',''',CZmaxTE,''');\n']);
        fprintf(fid, ['boundary.invoke(''ZmaxTemperatureType'',''',CZmaxTT,''');\n\n']);
 

% Definovani hranic primo v CST
boundary  = mws.invoke('Boundary'); 
      boundary.invoke('Xmin',CXmin); 
      boundary.invoke('Xmax',CXmax); 
      boundary.invoke('Ymin',CYmin); 
      boundary.invoke('Ymax',CYmax); 
      boundary.invoke('Zmin',CZmin); 
      boundary.invoke('Zmax',CZmax); 
      boundary.invoke('Xsymmetry',CXsymmetry); 
      boundary.invoke('Ysymmetry',CYsymmetry); 
      boundary.invoke('Zsymmetry',CZsymmetry); 
      boundary.invoke('XminThermal',CXminT); 
      boundary.invoke('XmaxThermal',CXmaxT); 
      boundary.invoke('YminThermal',CYminT); 
      boundary.invoke('YmaxThermal',CYmaxT); 
      boundary.invoke('ZminThermal',CZminT); 
      boundary.invoke('ZmaxThermal',CZmaxT); 
      boundary.invoke('ApplyInAllDirections',CApplyInAllDirections); 
      boundary.invoke('XminTemperature',CXminTE); 
      boundary.invoke('XminTemperatureType',CXminTT); 
      boundary.invoke('XmaxTemperature',CXmaxTE);
      boundary.invoke('XmaxTemperatureType',CXmaxTT); 
      boundary.invoke('YminTemperature',CYminTE);
      boundary.invoke('YminTemperatureType',CYminTT); 
      boundary.invoke('YmaxTemperature',CYmaxTE);
      boundary.invoke('YmaxTemperatureType',CYmaxTT); 
      boundary.invoke('ZminTemperature',CZminTE); 
      boundary.invoke('ZminTemperatureType',CZminTT); 
      boundary.invoke('ZmaxTemperature',CZmaxTE); 
      boundary.invoke('ZmaxTemperatureType',CZmaxTT);
end